selinux_restorecon_set_sehandle(3)

NAME
selinux_restorecon_set_sehandle - set a labeling handle for use by selinux_restorecon(3)

SYNOPSIS
#include <selinux/restorecon.h>
#include <selinux/label.h>

void selinux_restorecon_set_sehandle(struct selabel_handle *handle);

DESCRIPTION
selinux_restorecon_set_sehandle() sets the handle to be use by selinux_restorecon(3) when relabeling files.

selinux_restorecon_set_sehandle() is generally used when customised selabel_open(3) parameters are required to perform relabeling operations with selinux_restorecon(3).

SEE ALSO
selinux_restorecon(3),
selinux_restorecon_set_exclude_list(3),
selinux_restorecon_default_handle(3),
selinux_restorecon_set_alt_rootpath(3),
selinux_restorecon_xattr(3)